Results 1 to 9 of 9

Thread: Can't install virtual box on kali linux issue

  1. #1
    Join Date
    2013-Nov
    Posts
    20

    Can't install virtual box on kali linux issue

    hello, my name is drew and i am having problems installing virtual box on kali. i have checked the forum and there seems to be no solution to my problem. kindly assist.
    when i try to install vb via the terminal, i get the following error:

    Code:
    apt-get install virtualbox
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following extra packages will be installed:
      libgsoap2 libvncserver0 virtualbox-dkms virtualbox-qt
    Suggested packages:
      libvncserver0-dbg virtualbox-guest-additions-iso vde2
    The following packages will be REMOVED:
      virtualbox-4.3
    The following NEW packages will be installed:
      libgsoap2 libvncserver0 virtualbox virtualbox-dkms virtualbox-qt
    0 upgraded, 5 newly installed, 1 to remove and 122 not upgraded.
    Need to get 18.5 MB of archives.
    After this operation, 88.0 MB disk space will be freed.
    Do you want to continue [Y/n]? y
    Get:1 http://http.kali.org/ /kali/main libvncserver0 i386 0.9.9+dfsg-1 [277 kB]
    Get:2 http://http.kali.org/ /kali/main libgsoap2 i386 2.8.7-2 [540 kB]         
    Get:3 http://http.kali.org/ /kali/main virtualbox i386 4.1.18-dfsg-2.1 [12.9 MB]
    Get:4 http://http.kali.org/ /kali/main virtualbox i386 4.1.18-dfsg-2.1 [12.9 MB]
    25% [4 virtualbox 3,871 kB/12.9 MB 30%]                                        
    Get:5 http://http.kali.org/ /kali/main virtualbox i386 4.1.18-dfsg-2.1 [12.9 MB]
    Get:6 http://http.kali.org/ /kali/main virtualbox i386 4.1.18-dfsg-2.1 [12.9 MB]
    Get:7 http://http.kali.org/ /kali/main virtualbox-dkms all 4.1.18-dfsg-2.1 [496 kB]
    Get:8 http://http.kali.org/ /kali/main virtualbox-qt i386 4.1.18-dfsg-2.1 [4,236 kB]
    Fetched 10.4 MB in 9min 7s (19.1 kB/s)                                         
    (Reading database ... 296954 files and directories currently installed.)
    Removing virtualbox-4.3 ...
    Stopping VirtualBox kernel modules ...done.
    Processing triggers for hicolor-icon-theme ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for gnome-menus ...
    Processing triggers for shared-mime-info ...
    Selecting previously unselected package libvncserver0:i386.
    (Reading database ... 296208 files and directories currently installed.)
    Unpacking libvncserver0:i386 (from .../libvncserver0_0.9.9+dfsg-1_i386.deb) ...
    Selecting previously unselected package libgsoap2.
    Unpacking libgsoap2 (from .../libgsoap2_2.8.7-2_i386.deb) ...
    Selecting previously unselected package virtualbox.
    Unpacking virtualbox (from .../virtualbox_4.1.18-dfsg-2.1_i386.deb) ...
    Selecting previously unselected package virtualbox-dkms.
    Unpacking virtualbox-dkms (from .../virtualbox-dkms_4.1.18-dfsg-2.1_all.deb) ...
    Selecting previously unselected package virtualbox-qt.
    Unpacking virtualbox-qt (from .../virtualbox-qt_4.1.18-dfsg-2.1_i386.deb) ...
    Processing triggers for man-db ...
    Processing triggers for hicolor-icon-theme ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for gnome-menus ...
    Processing triggers for shared-mime-info ...
    Processing triggers for menu ...
    Setting up libvncserver0:i386 (0.9.9+dfsg-1) ...
    Setting up libgsoap2 (2.8.7-2) ...
    Setting up virtualbox (4.1.18-dfsg-2.1) ...
    insserv: script virtualbox: service vboxdrv already provided!
    insserv: exiting now!
    update-rc.d: error: insserv rejected the script header
    dpkg: error processing virtualbox (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of virtualbox-dkms:
     virtualbox-dkms depends on virtualbox (>= 4.1.18-dfsg-2.1); however:
      Package virtualbox is not configured yet.
    
    dpkg: error processing virtualbox-dkms (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of virtualbox-qt:
     virtualbox-qt depends on virtualbox (= 4.1.18-dfsg-2.1); however:
      Package virtualbox is not configured yet.
    
    dpkg: error processing virtualbox-qt (--configure):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     virtualbox
     virtualbox-dkms
     virtualbox-qt
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    this is the information found on vbox-install.log:

    Code:
    Uninstalling modules from DKMS
    Attempting to install using DKMS
    
    Creating symlink /var/lib/dkms/vboxhost/4.3.2/source ->
                     /usr/src/vboxhost-4.3.2
    
    DKMS: add completed.
    Failed to install using DKMS, attempting to install without
    Makefile:183: *** Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again.  Stop.
    if anyone can help,kindly assist a n00b in a sea of linux

  2. #2
    Join Date
    2013-Nov
    Posts
    2
    I'm having the same problem here. Any help ???

  3. #3
    Join Date
    2013-Jul
    Location
    United States
    Posts
    520
    I'm not so sure if this will solve your problem, but have you installed the guest additions?
    Instructions are here.

  4. #4
    Join Date
    2013-Mar
    Location
    milano
    Posts
    301
    Quote Originally Posted by vjose View Post
    I'm having the same problem here. Any help ???
    hi
    if this can help you:
    I did a little-test to install virtualbox (from-"default"-repository) in my KALI-1.05--64bit(VM) ... and it seems that everything works!!:
    https://vimeo.com/81032416
    bye

  5. #5
    Join Date
    2013-Nov
    Posts
    2
    thank you for the help. some how I fixed the problem and don't remember how lol. I think I just end it up downloading the debian version

  6. #6
    Join Date
    2013-Nov
    Posts
    20
    thanks for the link, it helped

  7. #7
    Join Date
    2013-Nov
    Posts
    20
    wow, great video. thanks a lot

  8. #8
    Join Date
    2013-Nov
    Posts
    20
    all is good, thanks to soxrok2212 and zimmaro

  9. #9
    Hi i am trying to install VirtualBox on my kali linux computer. I have followed many of the steps others have given. I am getting these errors when i try and install VirtualBox


    update-rc.d: error: insserv rejected the script header
    dpkg: error processing virtualbox (--configure):
    subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of virtualbox-qt:
    virtualbox-qt depends on virtualbox (= 4.3.10-dfsg-1~bpo70+1); however:
    Package virtualbox is not configured yet.

    dpkg: error processing virtualbox-qt (--configure):
    dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of virtualbox-dkms:
    virtualbox-dkms depends on virtualbox (>= 4.3.10-dfsg-1~bpo70+1); however:
    Package virtualbox is not configured yet.

    dpkg: error processing virtualbox-dkms (--configure):
    dependency problems - leaving unconfigured

    what should i do to next to reslove this problem?

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •